### Class

# Soup WebsocketExtensionManager

#### Description [src]

    final class Soup.WebsocketExtensionManager : GObject.Object
      implements Soup.SessionFeature {
      /* No available fields */
    }

SoupWebsocketExtensionManager is the `SoupSessionFeature` that handles WebSockets extensions for a `SoupSession`.

A `SoupWebsocketExtensionManager` is added to the session by default, and normally you don’t need to worry about it at all. However, if you want to disable WebSocket extensions, you can remove the feature from the session with `soup_session_remove_feature_by_type()` or disable it on individual requests with `soup_message_disable_feature()`.

#### Ancestors

- GObject

#### Implements

- SoupSessionFeature

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct SoupWebsocketExtensionManagerClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.